Skip to navigation

Update Connect OAuth configuration

View as Markdown
Updates the existing Connect OAuth configuration for the account.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

Request

This endpoint expects an object: connectOAuthConfig

authorizationServerUrlstringOptional

The token URL for your authorization server or OAuth service.

This property is required.

clientIdstringOptional

The client ID assigned to your app by your authorization server or OAuth service.

This property is required.

clientSecretstringOptional

The secret value provided by your authorization server.

This property is required.

customParametersmap from strings to stringsOptional
scopestringOptional

The scopes that your app will request from the authorization server.

This property is optional.

Note: If you are using Azure, this value is the application ID URI of the secified resource affixed with the .default. For example: api://{{clientId}}/.default

Response

Successful response.
authorizationServerUrlstringOptional

The token URL for your authorization server or OAuth service.

This property is required.

clientIdstringOptional

The client ID assigned to your app by your authorization server or OAuth service.

This property is required.

clientSecretstringOptional

The secret value provided by your authorization server.

This property is required.

customParametersmap from strings to stringsOptional
scopestringOptional

The scopes that your app will request from the authorization server.

This property is optional.

Note: If you are using Azure, this value is the application ID URI of the secified resource affixed with the .default. For example: api://{{clientId}}/.default

Errors

400
Bad Request Error